import hal_glib
import hal


class HandlerClass:
    def __init__(self, halcomp,builder,useropts):
        self.builder = builder
        self.halcomp = halcomp
        self.jog_increment = self.builder.get_object('jog_increment')
        self.g54inch = self.builder.get_object('g54inch_jog')
        self.g54tenths = self.builder.get_object('g54tenth_jog')
        self.g54hundredths = self.builder.get_object('g54hundedth_jog')
        self.g54thousandths = self.builder.get_object('g54thousandth_jog')
       
        self.vac_on = self.builder.get_object('vac_on')
        self.vac_off = self.builder.get_object('vac_off')
        self.on_vacuum_state = hal_glib.GPin(halcomp.newpin('on-vacuum-state', hal.HAL_BIT, hal.HAL_IN))
        self.off_vacuum_state = hal_glib.GPin(halcomp.newpin('off-vacuum-state', hal.HAL_BIT, hal.HAL_IN))
        self.on_vacuum_state.connect('value-changed', self.on_vacuum_state_value_changed)
        self.off_vacuum_state.connect('value-changed', self.off_vacuum_state_value_changed)

    def activ_inc(self,widget):
        if widget.get_active():
            if widget == self.g54inch: self.jog_increment.set_text('1.000')
            elif widget == self.g54tenths: self.jog_increment.set_text('0.100')
            elif widget == self.g54hundredths:  self.jog_increment.set_text('0.010')
            elif widget == self.g54thousandths: self.jog_increment.set_text('0.001')

    def on_vacuum_state_value_changed(self,pin):
        state = pin.get()
        if state:
            self.vac_on.set_active(True)
    def off_vacuum_state_value_changed(self,pin):
        state = pin.get()
        if state:
            self.vac_off.set_active(True)

# This is boiler code, required for gladevcp
def get_handlers(halcomp,builder,useropts):
    return [HandlerClass(halcomp,builder,useropts)]
